import { FormEvent } from "react";
import "./index.scss";
declare const PhoneNumberInput: ({ initialPhoneNumber, name, initialCountryCode, id, showError, dataTestId, className, placeholder, onChangePhone, onInitialPhoneCb, isvalidCb, }: {
    initialPhoneNumber?: string | undefined;
    name: string;
    initialCountryCode?: string | undefined;
    className?: string | undefined;
    id?: string | undefined;
    dataTestId?: string | undefined;
    placeholder?: string | undefined;
    showError?: boolean | undefined;
    onChangePhone: (e: FormEvent<HTMLInputElement>) => void;
    onInitialPhoneCb?: ((phoneNumber: string) => void) | undefined;
    isvalidCb: (isValid: boolean) => void;
}) => JSX.Element;
export default PhoneNumberInput;
